%define version 0.0.14
%define release %mkrel 4

%define lib_major 6
%define libname %mklibname ggzdmod %{lib_major}
%define libname_basic libggzdmod

%define enable_mysql 0
%{?_with_mysql: %global enable_mysql 1}

%define enable_pgsql 0
%{?_with_pgsql: %global enable_pgsql 1}

Name:		ggz-server
Summary:	Server software for the GGZ Gaming Zone
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
Source:		%name-%version.tar.bz2
URL:		http://www.ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libggz-devel = %{version}
BuildRequires:	popt-devel autoconf
BuildRequires:	expat-devel
%if %enable_mysql
BuildRequires:	mysql-devel
%else
%if %enable_pgsql
BuildRequires:	postgresql-devel
%else
BuildRequires:	libdb4.5-devel
%endif
%endif
Requires:	libggz = %{version}
Requires:	%{libname} = %{version}

%description
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

# Main package
%package -n	%{libname}
Summary:	GGZ server libraries
Group:		Games/Other
Provides:	%{libname_basic} = %{version}

%description -n	%{libname}
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides the libraries needed to run the server.

# Devel package
%package	devel
Summary:	GGZ server development libraries
Group:		Games/Other
Provides:	%{libname_basic}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%libname = %{version}

%description	devel
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides all development related files necessary for you to
develop or compile any extra games which supports GGZ gaming server.

%prep
%if %enable_mysql && %enable_pgsql
echo "\"--with mysql\" and \"--with pgsql\" can't be used together."
exit 1
%endif

%setup -q

autoconf

%build
%serverbuild
%configure \
	--with-libggz-libraries=%{_libdir} \
%if %enable_mysql
	--with-database=mysql
%else
%if %enable_pgsql
	--with-database=pgsql
%else
	--with-database=db4
%endif
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README README.GGZ TODO

%config(noreplace) /etc/ggzd
%{_bindir}/*
%{_libdir}/ggzd
%{_datadir}/ggz/ggzd
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libggzdmod.so.%{lib_major}
%{_libdir}/libggzdmod.so.%{lib_major}.*
%{_libdir}/libggzdmod++.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/libggzdmod++.a
%{_libdir}/libggzdmod++.la
%{_libdir}/libggzdmod.a
%{_libdir}/libggzdmod.la
%{_libdir}/libggzdmod++.so
%{_libdir}/libggzdmod.so





%changelog
* Mon Jul 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-4mdv2008.0
+ Revision: 52713
- fix devel package
- use %%serverbuild macro


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-3mdv2007.1
+ Revision: 131941
- rebuild with db4.5

* Wed Feb 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-2mdv2007.1
+ Revision: 130240
- fix devel package

* Sat Feb 10 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-1mdv2007.1
+ Revision: 118737
- New version 0.0.14
- New major 6
- Import ggz-server

* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-2mdv2007.0
- fix build on x86_64

* Mon May 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-1mdk
- New version
- mkrel
- drop patch

* Sat Jan 15 2005 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version

